The ColorTransform class lets you adjust the color values in a display object. The color adjustment or color transformation can be applied to all four channels: red, green, blue, and alpha transparency.

When a ColorTransform object is applied to a display object, a new value for each color channel is calculated like this:

- New red value = (old red value * `redMultiplier`) + `redOffset`
- New green value = (old green value * `greenMultiplier`) + `greenOffset`
- New blue value = (old blue value * `blueMultiplier`) + `blueOffset`
- New alpha value = (old alpha value * `alphaMultiplier`) + `alphaOffset`

If any of the color channel values is greater than 255 after the calculation, it is set to 255. If it is less than 0, it is set to 0.

You can use ColorTransform objects in the following ways:

- In the `colorTransform` parameter of the `colorTransform()` method of the BitmapData class
- As the `colorTransform` property of a Transform object (which can be used as the `transform` property of a display object)

You must use the `new ColorTransform()` constructor to create a ColorTransform object before you can call the methods of the ColorTransform object.

Color transformations do not apply to the background color of a movie clip(such as a loaded SWF object). They apply only to graphics and symbols that are attached to the movie clip.

### Hierarchy

- ColorTransform

## Index

### Constructors

- constructor

### Properties

- alphaMultiplier
- alphaOffset
- blueMultiplier
- blueOffset
- color
- greenMultiplier
- greenOffset
- redMultiplier
- redOffset

### Methods

- concat
- toString

## Constructors

### constructor

- new ColorTransform(redMultiplier?: number, greenMultiplier?: number, blueMultiplier?: number, alphaMultiplier?: number, redOffset?: number, greenOffset?: number, blueOffset?: number, alphaOffset?: number): ColorTransform

- - Defined in lib/openfl/geom/ColorTransform.d.ts:114

  Creates a ColorTransform object for a display object with the specified color channel values and alpha values.

  #### Parameters

  - ##### Optional redMultiplier: number

    The value for the red multiplier, in the range from 0 to 1.

  - ##### Optional greenMultiplier: number

    The value for the green multiplier, in the range from 0 to 1.

  - ##### Optional blueMultiplier: number

    The value for the blue multiplier, in the range from 0 to 1.

  - ##### Optional alphaMultiplier: number

    The value for the alpha transparency multiplier, in the range from 0 to 1.

  - ##### Optional redOffset: number

    The offset value for the red color channel, in the range from -255 to 255.

  - ##### Optional greenOffset: number

    The offset value for the green color channel, in the range from -255 to 255.

  - ##### Optional blueOffset: number

    The offset for the blue color channel value, in the range from -255 to 255.

  - ##### Optional alphaOffset: number

    The offset for alpha transparency channel value, in the range from -255 to 255.

  #### Returns ColorTransform

## Properties

### alphaMultiplier

alphaMultiplier: number

- Defined in lib/openfl/geom/ColorTransform.d.ts:56

A decimal value that is multiplied with the alpha transparency channel value.

If you set the alpha transparency value of a display object directly by using the `alpha` property of the DisplayObject instance, it affects the value of the `alphaMultiplier` property of that display object's `transform.colorTransform` property.

### alphaOffset

alphaOffset: number

- Defined in lib/openfl/geom/ColorTransform.d.ts:63

A number from -255 to 255 that is added to the alpha transparency channel value after it has been multiplied by the `alphaMultiplier` value.

### blueMultiplier

blueMultiplier: number

- Defined in lib/openfl/geom/ColorTransform.d.ts:68

A decimal value that is multiplied with the blue channel value.

### blueOffset

blueOffset: number

- Defined in lib/openfl/geom/ColorTransform.d.ts:74

A number from -255 to 255 that is added to the blue channel value after it has been multiplied by the `blueMultiplier` value.

### color

color: number

- Defined in lib/openfl/geom/ColorTransform.d.ts:92

The RGB color value for a ColorTransform object.

When you set this property, it changes the three color offset values (`redOffset`, `greenOffset`, and `blueOffset`) accordingly, and it sets the three color multiplier values(`redMultiplier`, `greenMultiplier`, and `blueMultiplier`) to 0. The alpha transparency multiplier and offset values do not change.

When you pass a value for this property, use the format 0xRRGGBB. RR, GG, and BB each consist of two hexadecimal digits that specify the offset of each color component. The 0x tells the ActionScript compiler that the number is a hexadecimal value.

### greenMultiplier

greenMultiplier: number

- Defined in lib/openfl/geom/ColorTransform.d.ts:97

A decimal value that is multiplied with the green channel value.

### greenOffset

greenOffset: number

- Defined in lib/openfl/geom/ColorTransform.d.ts:103

A number from -255 to 255 that is added to the green channel value after it has been multiplied by the `greenMultiplier` value.

### redMultiplier

redMultiplier: number

- Defined in lib/openfl/geom/ColorTransform.d.ts:108

A decimal value that is multiplied with the red channel value.

### redOffset

redOffset: number

- Defined in lib/openfl/geom/ColorTransform.d.ts:114

A number from -255 to 255 that is added to the red channel value after it has been multiplied by the `redMultiplier` value.

## Methods

### concat

- concat(second: ColorTransform ): void

- - Defined in lib/openfl/geom/ColorTransform.d.ts:152

  Concatenates the ColorTranform object specified by the `second` parameter with the current ColorTransform object and sets the current object as the result, which is an additive combination of the two color transformations. When you apply the concatenated ColorTransform object, the effect is the same as applying the `second` color transformation after the original color transformation.

  #### Parameters

  - ##### second: ColorTransform

    The ColorTransform object to be combined with the current ColorTransform object.

  #### Returns void

### toString

- toString(): string

- - Defined in lib/openfl/geom/ColorTransform.d.ts:155

  #### Returns string

Generated using TypeDoc